<div fxFill fxLayout="column" fxLayoutAlign="start stretch">
  <mat-toolbar fxLayout="row" fxLayoutAlign="start center" >
    <span>Daily Total</span>
    <span fxFlex="grow"></span>
    <button mat-button (click)="dialogRef.close()"><mat-icon>close</mat-icon></button>
  </mat-toolbar>
  <div fxFlex="grow" *ngIf="isLoading" fxLayout="row" fxLayoutAlign="center center">
    <mat-spinner></mat-spinner>
  </div>
  <div id="report-container" *ngIf="!isLoading" fxFlex="grow" fxLayout="column" fxLayoutAlign="start stretch">
    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">
      <ng-container matColumnDef="recordDate">
        <th mat-header-cell *matHeaderCellDef>Date</th>
        <td mat-cell *matCellDef="let element">
          <div fxLayout="column" fxLayoutAlign="start start">
            <span>{{element.recordDate | date:'yyyy/MM/dd'}}</span>
          </div>
        </td>
      </ng-container>
    
      <ng-container matColumnDef="numberFeedings">
        <th mat-header-cell *matHeaderCellDef>
          <div fxLayout="column" fxLayoutAlign="start start">
            <span>Number of</span>
            <span>Feedings</span>
          </div>
        </th>
        <td mat-cell *matCellDef="let element"> {{element.numberFeedings}} </td>
      </ng-container>

      <ng-container matColumnDef="breastMilkAmount">
        <th mat-header-cell *matHeaderCellDef>
          <div fxLayout="column" fxLayoutAlign="start start">
            <span>Breast</span>
            <span>Milk</span>
          </div>
        </th>
        <td mat-cell *matCellDef="let element"> {{element.breastMilkAmount}} </td>
      </ng-container>
    
      <ng-container matColumnDef="formulaMilkAmount">
        <th mat-header-cell *matHeaderCellDef>
          <div fxLayout="column" fxLayoutAlign="start start">
            <span>Formula</span>
            <span>Milk</span>
          </div>
        </th>
        <td mat-cell *matCellDef="let element"> {{element.formulaMilkAmount}} </td>
      </ng-container>
  
      <ng-container matColumnDef="total">
        <th mat-header-cell *matHeaderCellDef>
          <div fxLayout="column" fxLayoutAlign="start start">
            <span>Total</span>
          </div>
        </th>
        <td mat-cell *matCellDef="let element"> {{element.total}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>
</div>